$newline never

$# SPDX-FileCopyrightText: 2022 Gregor Kleen <gregor.kleen@ifi.lmu.de>
$#
$# SPDX-License-Identifier: AGPL-3.0-or-later

<h3>Remarks regarding CSV import
<dl .deflist>
    <dt .deflist__dt>Data formatting
    <dd .deflist__dd>
      When importing the format expected (per column) is the same as it would be #
      produced when exporting (see <i>Column & cell format</i> under #
      <i>CSV export</i>).<br />
      Columns may be permuted arbitrarily or left out completely (in that case #
      the column will be treated as if every cell contained within it was #
      empty).<br />
      Columns are identified based on their heading. #
      Thus column headings may not be modified or removed.<br />
      The separator character (comma, semicolon, tabulator, ...) is #
      detected automatically during import.<br />
      Imported files are expected to use the character encoding, that #
      is configured for CSV-export.
    <dt .deflist__dt>Edits
    <dd .deflist__dd>
      For most cells, importing changes the current state of the #
      database to reflect the content of the imported cell (i.e. exam #
      results).<br />
      For some cells this is not possible (i.e. the maximum number of #
      points of an exam part). #
      In that case all differences between the current state of the #
      database and the content of the imported cell are ignored.
    <dt .deflist__dt>Preview
    <dd .deflist__dd>
      Before any edits are applied a preview is shown of what would be done.<br />
      In the preview an arbitrary subset of edits may be selected for #
      application.
    <dt .deflist__dt>Empty cells
    <dd .deflist__dd>
      Cells which may be deleted are deleted or set to uniquely determined #
      values if the corresponding cell is empty during import.
    <dt .deflist__dt>Consistency
    <dd .deflist__dd>
      <p>
        Only consistent edits are ever made!
      <p>
        Thus it can be useful to leave certain cells empty. #
        For example when changing the associated field of study for a course #
        participant one would have to change the degree and semester to match if #
        they are not left empty.<br />
        If they are left empty they are automatically filled in if their values #
        can be uniquely determined (which is usually the case).
    <dt .deflist__dt>Identification of rows
    <dd .deflist__dd>
      Multiple columns may be used to identify each row.<br />
      Thus not every cell used to identify a row needs to be filled, as long as #
      the row can still be uniquely identified.<br />
      If multiple columns used for identification are not empty their values #
      need to be consistent.
    <dt .deflist__dt>Adding rows
    <dd .deflist__dd>
      Additional rows may be added as long as sufficient information is #
      provided. #
      For example course participants may be added this way.
     <dt .deflist__dt>Deleting rows
    <dd .deflist__dd>
      Rows that are missing in the imported file are offered up for deletion #
      during the edit preview.
 
